Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.common
Class SecurityRoleImpl

    java.lang.Object
      org.jasig.portal.container.om.common.SecurityRoleImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.common.SecurityRole, org.apache.pluto.om.Model

    public class SecurityRoleImpl

extends java.lang.Object
implements org.apache.pluto.om.common.SecurityRole, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `description`
`private java.lang.String` | `roleName`

Constructor Summary
`SecurityRoleImpl()`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getRoleName()`
`void` | `setDescription(java.lang.String description)`
`void` | `setRoleName(java.lang.String roleName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    private java.lang.String description

### roleName

    private java.lang.String roleName

Constructor Detail

### SecurityRoleImpl

    public SecurityRoleImpl()

Method Detail

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `org.apache.pluto.om.common.SecurityRole`

### getRoleName

    public java.lang.String getRoleName()

  Specified by:
    `getRoleName` in interface `org.apache.pluto.om.common.SecurityRole`

### setDescription

    public void setDescription(java.lang.String description)

### setRoleName

    public void setRoleName(java.lang.String roleName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD